summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2016-06-25 09:13:42 +0200
committerHans de Graaff <graaff@gentoo.org>2016-06-25 11:20:33 +0200
commit221fcc2912637d0af997e33da4f95a2029b5a612 (patch)
treec68a4ec26369bf94ecc568c053163083b02f4ec9 /dev-ruby/ruby-gtk2
parentdev-ruby/ruby-rsvg: add 3.0.8 (diff)
downloadgentoo-221fcc2912637d0af997e33da4f95a2029b5a612.tar.gz
gentoo-221fcc2912637d0af997e33da4f95a2029b5a612.tar.bz2
gentoo-221fcc2912637d0af997e33da4f95a2029b5a612.zip
dev-ruby/ruby-gtk2: add 3.0.8
Package-Manager: portage-2.2.28
Diffstat (limited to 'dev-ruby/ruby-gtk2')
-rw-r--r--dev-ruby/ruby-gtk2/Manifest1
-rw-r--r--dev-ruby/ruby-gtk2/ruby-gtk2-3.0.8.ebuild32
2 files changed, 33 insertions, 0 deletions
diff --git a/dev-ruby/ruby-gtk2/Manifest b/dev-ruby/ruby-gtk2/Manifest
index f88b5cee379..68775b3cce5 100644
--- a/dev-ruby/ruby-gtk2/Manifest
+++ b/dev-ruby/ruby-gtk2/Manifest
@@ -1,3 +1,4 @@
DIST ruby-gnome2-all-2.2.3.tar.gz 1657315 SHA256 1611038c2a49fe051dfcc779aeca8eb47273718d80a0680442504fd54e228154 SHA512 cf6b0c88c91e444f5ff65a4a863630c5455315c08f1b44a5f7c81db51f998d6e83ab62e00276edb4a81ea9942405d76724f52134d2388010ec0f157a6a5dc34e WHIRLPOOL e5a6347b360b64f6b690a28483f8618d58786bbbf1fd6c691952271c85bf1d96dc8c97f1e4ed541f6cf8afac56221950db30873cc83a24210b6feef969eaf4b7
DIST ruby-gnome2-all-2.2.5.tar.gz 1696485 SHA256 ef22418c95ce9f997235aee1a1b4d1265fad023e78a8f452bdd9e95267dd52b9 SHA512 60693ec2db4c4159a634f33bf7021e078cc06e25d4e10c6ac0c8a30ac03f9b8119ed94d9b62408a2010c9c3d1f812dea3ab5c6c617eda5d4c73272d64934159e WHIRLPOOL 161ae5b591bd1b6ba3601d46bc4fcfa6c57b006bd5903ba5a8c7ec670f11e06091ce5314290e24b312ecb61ceef22fb91231079f03f16a873a4e890142389123
DIST ruby-gnome2-all-3.0.7.tar.gz 1692752 SHA256 4b65da24a5fdd4a774d6f238abcce8a3aca2bad093211bb824fb6a06e5430375 SHA512 0cfd5dd13ef0e0986ddd2235f88ffb21d15e6cb709b47252bb34e587fef88c0234e65f178eccec7dbfd45759ba37f1bbdcee6c7908d3f9daaf3369453b2478ee WHIRLPOOL 0a0e2749f6642485bada7ab22d69a3ed0e4d170a2d0dec6db88e62179264c6093a51c05cca87c64a4a3e9d1bdedb05a92fba81f6098872c06c8cbfa451ccedf2
+DIST ruby-gnome2-all-3.0.8.tar.gz 1732574 SHA256 47449f4d9eb9a175fdff5115157b4ea07ad6aa3bff7fa6258d42920b2cbb45a5 SHA512 e30c2cd95db762eff4f5f6d6f03811338657a849fc94d1af71488bb912cc82b85c0aa6860658f6eba66119ef95382ad142661751471a52de9606c5514ec6a6cf WHIRLPOOL 7b0580639ed2d1364e0de0135f9256d014771dfba3e94f6a220a26faa969dcc8cb198eab400ea6ebc25fa89082a8c96cb81ec2b0231784aea3b8e748b322f19e
diff --git a/dev-ruby/ruby-gtk2/ruby-gtk2-3.0.8.ebuild b/dev-ruby/ruby-gtk2/ruby-gtk2-3.0.8.ebuild
new file mode 100644
index 00000000000..65cbf9cd32b
--- /dev/null
+++ b/dev-ruby/ruby-gtk2/ruby-gtk2-3.0.8.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby21 ruby22 ruby23"
+
+inherit virtualx ruby-ng-gnome2
+
+DESCRIPTION="Ruby Gtk2 bindings"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+DEPEND+=" x11-libs/gtk+:2
+ x11-themes/hicolor-icon-theme"
+RDEPEND+=" x11-libs/gtk+:2"
+
+ruby_add_bdepend ">=dev-ruby/ruby-glib2-${PV}
+ >=dev-ruby/ruby-pango-${PV}"
+ruby_add_rdepend ">=dev-ruby/ruby-gdkpixbuf2-${PV}
+ >=dev-ruby/ruby-atk-${PV}
+ >=dev-ruby/ruby-pango-${PV}"
+
+all_ruby_prepare() {
+ # Avoid compilation of dependencies during test.
+ sed -i -e '/system/,/^ end/ s:^:#:' test/run-test.rb || die
+}
+
+each_ruby_test() {
+ VIRTUALX_COMMAND=${RUBY}
+ virtualmake test/run-test.rb || die
+}